// Headerdatei zur Klasse fr eine OpenGL-Animation (Universum).
class COpenGLUniverse
{
	// Displaylistenidentifikatoren.
	int m_iSterne;  
	int m_iSonne;
	int m_iMilchstrasse;
	int m_iAnimation1;
	int m_iAnimation2;

public:
	int   m_iP1Winkelanzahl; // Rotationswinkelanzahl des 1. Planeten.
	int   m_iP2Winkelanzahl; // Rotationswinkelanzahl des 2. Planeten.
	int   m_iP3Winkelanzahl; // Rotationswinkelanzahl des 3. Planeten.
	int   m_iP4Winkelanzahl; // Rotationswinkelanzahl des 4. Planeten.
	float m_fP1Winkel;       // Rotationswinkel des 1. Planeten.
	float m_fP2Winkel;       // Rotationswinkel des 2. Planeten.
	float m_fP3Winkel;       // Rotationswinkel des 3. Planeten.
	float m_fP4Winkel;       // Rotationswinkel des 4. Planeten.
	float m_fvpz;            // Vernderbare Tiefeninformationen fr den Augpunkt.
	float m_frpz;
	float m_fvpx;            // Vernderbare X-Koordinaten des Augpunktes (zum Drehen auf der Stelle).
	float m_frpx;
protected:
	CClientDC*  m_pDC; // Devicekontext wird zum Initialisieren des GL-Support benutzt.

public:
	COpenGLUniverse();
	~COpenGLUniverse();
	void Create(CClientDC* pDC);
	void InitialisiereAnimation();
	void Sterne(int iAnzahl, float fRaumausdehnung);
	void Milchstrasse(int iAnzahl, float fRaumausdehnung);
	void Sonne();
	void Sonnenlicht();
	void Planet1();
	void Planet2();
	void Planet3();
	void Planet4();
	void Animation();
	void Animationslisten();
	BOOL InitialisiereGL();
	BOOL SetzePixelFormat();
};
