// Implementierungsdatei einer Visual-C++-Animation (Grne Wiese).

#include "stdafx.h"
#include "Animationen.h"
#include "GrueneWiese.h"

// Konstruktor.
CGrueneWiese::CGrueneWiese()
{
	
}
// Destruktor.
CGrueneWiese::~CGrueneWiese()
{

}

// Create-Methode initialisiert den DC-Zeiger.
void CGrueneWiese::Create(CClientDC* pDC)
{
	m_pDC = pDC;  // DC fr die Animationsdarstellung.
}

// Darstellung des aktuellen FRAME der Animation.
void CGrueneWiese::Animation()
{
	// Schwarzer Hintergrund fr den Rest des Fensters.
	CBrush  cbBrush(COLORREF(0x00000000));
	// Neuen Zeichen-Brush auswhlen (alten merken).
	CBrush* pOldBrush = m_pDC->SelectObject(&cbBrush); 
	m_pDC->FillRect(&m_rectWindow, &cbBrush);
	// Alten Brush wiederherstellen.
	m_pDC->SelectObject(pOldBrush);
	// Neuen Kontext fr die Darstellung des Hintergrundbildes bereitstellen.
	CDC dcBackgroundMemory;
	dcBackgroundMemory.CreateCompatibleDC(m_pDC);
	dcBackgroundMemory.SelectObject(&m_bmpHintergrund);
	// Hintergrund darstellen.
	m_pDC->BitBlt((m_rectWindow.right - 800) / 2, (m_rectWindow.bottom - 600) / 2,
		          800, 600, &dcBackgroundMemory, 0, 0, SRCCOPY);
}
// Alle Objekte der Animation werden initialisiert.
void CGrueneWiese::InitialisiereAnimation(RECT rectWindow)
{
	// Laden des Hintergrundbildes.
	m_bmpHintergrund.LoadBitmap(IDB_HINTERGRUND);
	// Hintergrund soll mittig ausgerichtet sein. Dazu wird das Rechteck
	// des Fensters gespeichert.
	m_rectWindow = rectWindow;
}
